Ti.Geolocation.preferredProvider = "gps";
		
if(Titanium.Geolocation.locationServicesEnabled === false) {
	Titanium.UI.createAlertDialog({
		title : 'testGeo',
	message : 'Your device has geo turned off - turn it on.'
	}).show();
} else {
	if(Titanium.Platform.name !== 'android') {
	var authorization = Titanium.Geolocation.locationServicesAuthorization;
	
	if(authorization == Titanium.Geolocation.AUTHORIZATION_DENIED) {
		Ti.UI.createAlertDialog({
			title : 'testGeo',
			message : 'You need to allow geolaction for this test.'
		}).show();
	} 
}

//
// IF WE HAVE COMPASS GET THE HEADING
//
if(Titanium.Geolocation.hasCompass) {
	//
	//  TURN OFF ANNOYING COMPASS INTERFERENCE MESSAGE
	//
	Titanium.Geolocation.showCalibration = false;

	//
	// SET THE HEADING FILTER (THIS IS IN DEGREES OF ANGLE CHANGE)
	// EVENT WON'T FIRE UNLESS ANGLE CHANGE EXCEEDS THIS VALUE
	Titanium.Geolocation.headingFilter = 1;

	//
	// EVENT LISTENER FOR COMPASS EVENTS - THIS WILL FIRE REPEATEDLY (BASED ON HEADING FILTER)
	//
	var headingCallback = function(e) {

		var x = e.heading.x;
		var y = e.heading.y;
		var z = e.heading.z;
		var magneticHeading = e.heading.magneticHeading;
		var accuracy = e.heading.accuracy;
		var trueHeading = e.heading.trueHeading;
		var timestamp = e.heading.timestamp;
		
		Ti.API.debug('(x,y,z) -> ' + '(' + x + ',' + y + ',' + z + ')');
		Ti.API.debug('magneticHeading -> ' + magneticHeading);
		Ti.API.debug('accuracy -> ' + accuracy);
		Ti.API.debug('timestamp -> ' + timestamp);
		Ti.API.debug('True heading should be less than 360 and is:' + e.heading.trueHeading);
		
		if(e.heading.trueheading >= 360) {
			alert('True heading should be less than 360 and is:' + e.heading.trueHeading);
		}
	};
	Titanium.Geolocation.addEventListener('heading', headingCallback);
	headingAdded = true;
} else {
	Titanium.API.info("No Compass on device");
}

//
//  SET ACCURACY - THE FOLLOWING VALUES ARE SUPPORTED
//
Titanium.Geolocation.accuracy = Titanium.Geolocation.ACCURACY_BEST;

//
//  SET DISTANCE FILTER.  THIS DICTATES HOW OFTEN AN EVENT FIRES BASED ON THE DISTANCE THE DEVICE MOVES
//  THIS VALUE IS IN METERS
//
Titanium.Geolocation.distanceFilter = 10;

//
// GET CURRENT POSITION - THIS FIRES ONCE
//
Titanium.Geolocation.getCurrentPosition(function(e) {});
//
// EVENT LISTENER FOR GEO EVENTS - THIS WILL FIRE REPEATEDLY (BASED ON DISTANCE FILTER)
//
var locationCallback = function(e) {};
Titanium.Geolocation.addEventListener('location', locationCallback);
	locationAdded = true;
}